Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6547 - text mode boot floppy install barfs on update
Summary: text mode boot floppy install barfs on update
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-30 22:29 UTC by trever_adams
Modified: 2015-01-07 23:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 02:31:08 UTC


Attachments (Terms of Use)

Description trever_adams 1999-10-30 22:29:01 UTC
This happens with the updated disks pre-October 30th as well
as with those supplied on the cd-rom.

I have three systems, hard drive setup is largely identical,
another which is different.  One of the similar and the
different have cdrom's.  The install from CD (update from
6.0) works wonderfully.  The two that don't have cdroms, I
installed from floppy (image from cd, image from errata,
image from errata with linux updates... all the same).
During the stage where it is getting the packages it chokes
and crashes with a Python, I believe, error.  It is
something like this

name = something[rpm.SOMETHING]

something and SOMETHING were different.  I don't have access
to the machines right now, or I would provide more info.
The caps are as were in the line of code, if I remember
correctly.

Please fix this in your next errata images.

Trever Adams

Comment 1 Jay Turner 1999-11-30 15:42:59 UTC
I will need the text of the error message to now what the source of the problem
is.  Please submit that error text and we will replicate here in the lab.

Comment 2 Jay Turner 2000-02-09 02:30:59 UTC
I am guessing that when you made the hard drive images for installation, you got
the TRANS.TBL files copied over from the CDROMs and this is causing the
problem.  There is a known problem with the 6.1 installer that causes it to
throw a python excpetion when the installer encountered a non-RPM file.  Check
the RPMS directory and verify that there are no files of this type.  Reopen this
bug if you continue to have problems.


Note You need to log in before you can comment on or make changes to this bug.